Subject: Re: [bug#61420] [PATCH 00/31] Haskell upgrade to Stackage 20.5

From: Lars-Dominik Braun <[email-masked]>
Date: Wed, 15 Feb 2023 09:45:33 +0100

Hi,

> However, python-pypandoc seems broken on wip-haskell but not in master.
> Idem for ganeti
yeah, python-pypandoc and ganeti are known to be broken. Ganeti does
not support GHC 9.2 (and there don’t seem to be any patches fixing
this anywhere) and pypandoc fails even more tests when upgrading it to
v1.10 – not sure what to do.

> except maybe « Upgrade Haskell packages. » but it is too much
> work for improving, IMHO. :-)
Well, I know that this is not what the policy requires, but it is a
deliberate choice. There is no functional/working intermediate state
here. You can only have all of the changes or none. Creating >700 commits
“just because” seems wrong.

Cheers,
Lars